Subject: [bug#75144] [PATCH v3 2/2] machine: Implement 'hetzner-environment-type'.

From: Roman Scherer <[email-masked]>
Date: Fri, 21 Feb 2025 22:21:57 +0100

Hi Ludo,

thanks for the insights. It's great bordeaux catched up again.

Roman

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Roman Scherer <[email-masked]> skribis:
>
>> While working on this the user experience of guix deploy really
>> shined/falled, depending on substitute availability and stability. I'm
>> probably biased and having bad luck with aarch-64 based Guix systems.
>>
>> For example, using the ARM based servers (which are cheaper than x86)
>> with Guix on Hetzner can lead to a headache if you or the the servers
>> you deploy to start building Rust and friends. :/
>
> Yup, I agree.  bordeaux.guix used to have very high substitute
> availability for aarch64, while ci.guix has always been lagging behind,
> mostly because it’s underpowered in aarch64.  For a couple of months,
> bordeaux.guix was also lagging behind on all architectures, but that
> appears to be fixed now:
>
>   https://qa.guix.gnu.org/branch/master
>
> Ludo’.